Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Query Parameters

libId
string
required

The ID of the library

domain
string

The G Suite domain

securityCode
string

The security code

Body

application/json
appliedName
string

The applied name of the human workflow action

appliedName_i18n
string

The internationalized applied name of the human workflow action (read-only field)

commentPlaceholderText
string

The comment placeholder text (maximum of 80 characters)

commentPlaceholderText_i18n
string

The internationalized comment placeholder text (read-only field)

commentPolicy
enum<string>

The comment policy for the transition (FORBIDDEN, OPTIONAL, MANDATORY). Replaces mandatoryComment

Available options:
FORBIDDEN,
OPTIONAL,
MANDATORY
createdTime
string<date-time>

The time at which the human workflow action was created (read-only field)

hideFromWorkflowBasket
boolean

Whether to show the documents with this transition action in the Workbasket or not

id
string

The ID of the human workflow action (read-only field)

kind
string
lastModifiedTime
string<date-time>

The time at which the human workflow action was last modified (read-only field)

libraryId
string

The ID of the library

mandatoryComment
boolean

Deprecated: use commentPolicy. Whether a comment is mandatory when triggering the transition

name
string

The name of the human workflow action

name_i18n
string

The internationalized name of the human workflow action, (read-only field)

Response

200 - application/json

A ApiHumanWorkflowAction response

appliedName
string

The applied name of the human workflow action

appliedName_i18n
string

The internationalized applied name of the human workflow action (read-only field)

commentPlaceholderText
string

The comment placeholder text (maximum of 80 characters)

commentPlaceholderText_i18n
string

The internationalized comment placeholder text (read-only field)

commentPolicy
enum<string>

The comment policy for the transition (FORBIDDEN, OPTIONAL, MANDATORY). Replaces mandatoryComment

Available options:
FORBIDDEN,
OPTIONAL,
MANDATORY
createdTime
string<date-time>

The time at which the human workflow action was created (read-only field)

hideFromWorkflowBasket
boolean

Whether to show the documents with this transition action in the Workbasket or not

id
string

The ID of the human workflow action (read-only field)

kind
string
lastModifiedTime
string<date-time>

The time at which the human workflow action was last modified (read-only field)

libraryId
string

The ID of the library

mandatoryComment
boolean

Deprecated: use commentPolicy. Whether a comment is mandatory when triggering the transition

name
string

The name of the human workflow action

name_i18n
string

The internationalized name of the human workflow action, (read-only field)